Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Laufzeitfehler '91' bei Set swConf = swModel.GetActiveConfiguration

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Laufzeitfehler '91' bei Set swConf = swModel.GetActiveConfiguration (977 mal gelesen)
JFuks
Mitglied



Sehen Sie sich das Profil von JFuks an!   Senden Sie eine Private Message an JFuks  Schreiben Sie einen Gästebucheintrag für JFuks

Beiträge: 24
Registriert: 20.11.2012

erstellt am: 11. Nov. 2013 13:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich habe einen Problem. Wenn ich eine ganze Baugruppe laut http://help.solidworks.com/2012/English/api/sldworksapi/Traverse_Assembly_at_Component_Level_Example_VB.htm durchlese, bekomme ich bei der Zeile "Set swConf = swModel.GetActiveConfiguration" die Meldung Laufzeitfehler '91':
Objektvariable oder With-Blockvariabla nicht festgelegt

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lutz Federbusch
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Lutz Federbusch an!   Senden Sie eine Private Message an Lutz Federbusch  Schreiben Sie einen Gästebucheintrag für Lutz Federbusch

Beiträge: 3084
Registriert: 03.12.2001

alle SW seit 97+
AutoCAD2016
ERP ProAlpha + CA-Link
Intel Core i7 860 16GB
Win7x64 QuadroFX1800
SpacePilot

erstellt am: 11. Nov. 2013 14:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JFuks 10 Unities + Antwort hilfreich

Mit welcher Version probierst Du es?! Eigentlich sollte das so funktionieren. Bei Dir konnte offenbar mindestens ein Objekt nicht korrekt deklariert werden. Zum Fehler führt das bei der ersten Funktion, die mit einem Objekt ausgeführt werden soll (hier aktive Konfiguration ermitteln).

------------------
Lutz Federbusch
Mein Gästebuch
Der Mensch, Herr oder Sklave der Technik?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lutz Federbusch
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Lutz Federbusch an!   Senden Sie eine Private Message an Lutz Federbusch  Schreiben Sie einen Gästebucheintrag für Lutz Federbusch

Beiträge: 3084
Registriert: 03.12.2001

alle SW seit 97+
AutoCAD2016
ERP ProAlpha + CA-Link
Intel Core i7 860 16GB
Win7x64 QuadroFX1800
SpacePilot

erstellt am: 11. Nov. 2013 14:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JFuks 10 Unities + Antwort hilfreich

Probiere mal nur das Allernötigste:

Sub main()
        Dim swApp                      As SldWorks.SldWorks
        Dim swModel                    As SldWorks.ModelDoc2
        Dim swConf                      As SldWorks.Configuration
    Set swApp = CreateObject("SldWorks.Application")
    Set swModel = swApp.ActiveDoc
    Set swConf = swModel.GetActiveConfiguration
    MsgBox ("Konf=" + swConf.Name + "=")
End Sub

------------------
Lutz Federbusch
Mein Gästebuch
Der Mensch, Herr oder Sklave der Technik?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JFuks
Mitglied



Sehen Sie sich das Profil von JFuks an!   Senden Sie eine Private Message an JFuks  Schreiben Sie einen Gästebucheintrag für JFuks

Beiträge: 24
Registriert: 20.11.2012

erstellt am: 11. Nov. 2013 15:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Lutz Federbusch,

dort habe ich die gleiche Fehlermeldung auch bekommen. Es ist in der Version Solidworks 2011. Bei uns haben wir die Version 2013 instaliert und dort funktioniert alles gut.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lutz Federbusch
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Lutz Federbusch an!   Senden Sie eine Private Message an Lutz Federbusch  Schreiben Sie einen Gästebucheintrag für Lutz Federbusch

Beiträge: 3084
Registriert: 03.12.2001

alle SW seit 97+
AutoCAD2016
ERP ProAlpha + CA-Link
Intel Core i7 860 16GB
Win7x64 QuadroFX1800
SpacePilot

erstellt am: 11. Nov. 2013 15:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JFuks 10 Unities + Antwort hilfreich

Wenn das hier (ist versionsunabhängig):

Sub main()
        Dim swApp                      As Object
        Dim swModel                    As Object
        Dim swConf                      As Object
    Set swApp = CreateObject("SldWorks.Application")
    Set swModel = swApp.ActiveDoc
    Set swConf = swModel.GetActiveConfiguration
    MsgBox ("Konf=" + swConf.Name + "=")
End Sub

läuft, dann liegt es an den Verweisen im Makro (Kontrolle über Extras-Verweise in der VBA-Umgebung), die an eine feste Version der SW-Bibliotheken gebunden sind. versionsunabhängig ist eh' besser!

------------------
Lutz Federbusch
Mein Gästebuch
Der Mensch, Herr oder Sklave der Technik?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz